package introspect;

import PrologDB.DB;
import PrologDB.DBSchema;
import PrologDB.Table;
import java.io.*;

public class Main {
    
    public static void main(String... args) {
        // Step 1: check marquee 
        if (args.length != 1 ) {
            System.out.format("java %s <directory-of-classfile-package>\n",Main.class.getName());
            return;
        }
   
        // Step 2: initialize empty prog1 database tables
        DBSchema dbs = DBSchema.readDBSchema("prog1.schema.pl");
        DB db = new DB("intro", dbs);
        Table bcClass = db.getTable("bcClass");
        Table bcMember = db.getTable("bcMember");
        
        // Step 3: get ready to read from given directory
        String dir = args[0];
        File fdir = new File(dir);
        if (!fdir.isDirectory()) {
            System.err.println( dir + " is not a directory! Execution halted.");
            return;
        }

        // Step 4: now, cycle through .class files in given directory 
        //TODO
        
        // Step 5: output accumulated database to standard out
        db.print(System.out);
    }
}
